## osinfo_devicelist

osinfo_devicelist — A list of hardware device

## Functions

OsinfoDeviceList * | osinfo_devicelist_new ()
OsinfoDeviceList * | osinfo_devicelist_new_copy ()
OsinfoDeviceList * | osinfo_devicelist_new_filtered ()
OsinfoDeviceList * | osinfo_devicelist_new_intersection ()
OsinfoDeviceList * | osinfo_devicelist_new_union ()

## Types and Values

#define | OSINFO_TYPE_DEVICELIST

## Description

OsinfoDeviceList is a list specialization that stores only OsinfoDevice objects.

## Functions

### osinfo_devicelist_new ()

    OsinfoDeviceList *
    osinfo_devicelist_new (void);

Construct a new device list that is initially empty.

#### Returns

an empty device list.

[transfer full]

### osinfo_devicelist_new_copy ()

    OsinfoDeviceList *
    osinfo_devicelist_new_copy (OsinfoDeviceList *source);

`osinfo_devicelist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new device list that is filled with devices from `source`

#### Parameters

source | the device list to copy |

#### Returns

a copy of the device list.

[transfer full]

### osinfo_devicelist_new_filtered ()

    OsinfoDeviceList *
    osinfo_devicelist_new_filtered (OsinfoDeviceList *source,
                                    OsinfoFilter *filter);

`osinfo_devicelist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new device list that is filled with devices from `source` that match `filter`

#### Parameters

source | the device list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the device list.

[transfer full]

### osinfo_devicelist_new_intersection ()

    OsinfoDeviceList *
    osinfo_devicelist_new_intersection (OsinfoDeviceList *sourceOne,
                                        OsinfoDeviceList *sourceTwo);

`osinfo_devicelist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new device list that is filled with only the devices that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first device list to copy |
sourceTwo | the second device list to copy |

#### Returns

an intersection of the two device lists.

[transfer full]

### osinfo_devicelist_new_union ()

    OsinfoDeviceList *
    osinfo_devicelist_new_union (OsinfoDeviceList *sourceOne,
                                 OsinfoDeviceList *sourceTwo);

`osinfo_devicelist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new device list that is filled with all the devices that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first device list to copy |
sourceTwo | the second device list to copy |

#### Returns

a union of the two device lists.

[transfer full]

## Types and Values

### OSINFO_TYPE_DEVICELIST

    #define OSINFO_TYPE_DEVICELIST (osinfo_devicelist_get_type ())

## See Also

OsinfoList, OsinfoDevice